Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.keyboard
Class Keystrokes

    java.lang.Object
      org.eclipse.swtbot.swt.finder.keyboard.Keystrokes

    public class Keystrokes

extends Object

A factory to convert 'complex' keystrokes to a chain of simple keystrokes.

For e.g. on a US keyboard converts a character '$' to two keystrokes SHIFT and 4, and a 'T' to a SHIFT and 'T'.

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary
`static KeyStroke` | `ALT` The ALT keystroke.
`static KeyStroke` | `BS` The backspace keystroke.
`static KeyStroke` | `COMMAND` The COMMAND keystroke.
`static KeyStroke` | `CR` The CR keystroke.
`static KeyStroke` | `CTRL` The CTRL keystroke.
`static KeyStroke` | `DELETE` The delete keystroke.
`static KeyStroke` | `DOWN` The down keystroke.
`static KeyStroke` | `END` The END keystroke.
`static KeyStroke` | `ESC` The ESC keystroke.
`static KeyStroke` | `F1` The F1 keystroke.
`static KeyStroke` | `F10` The F10 keystroke.
`static KeyStroke` | `F11` The F11 keystroke.
`static KeyStroke` | `F12` The F12 keystroke.
`static KeyStroke` | `F2` The F2 keystroke.
`static KeyStroke` | `F3` The F3 keystroke.
`static KeyStroke` | `F4` The F4 keystroke.
`static KeyStroke` | `F5` The F5 keystroke.
`static KeyStroke` | `F6` The F6 keystroke.
`static KeyStroke` | `F7` The F7 keystroke.
`static KeyStroke` | `F8` The F8 keystroke.
`static KeyStroke` | `F9` The F9 keystroke.
`static KeyStroke` | `HOME` The HOME keystroke.
`static KeyStroke` | `LEFT` The left keystroke.
`static KeyStroke` | `LF` The LF keystroke.
`static KeyStroke` | `MOD1` The MOD1 keystroke.
`static KeyStroke` | `MOD2` The MOD2 keystroke.
`static KeyStroke` | `MOD3` The MOD3 keystroke.
`static KeyStroke` | `MOD4` The MOD4 keystroke.
`static KeyStroke` | `PAGE_DOWN` The PAGE_DOWN keystroke.
`static KeyStroke` | `PAGE_UP` The PAGE_UP keystroke.
`static KeyStroke` | `RIGHT` The right keystroke.
`static KeyStroke` | `SHIFT` The SHIFT keystroke.
`static KeyStroke` | `SPACE` The SPACE keystroke.
`static KeyStroke` | `TAB` The TAB keystroke.
`static KeyStroke` | `UP` The up keystroke.

Constructor Summary
`Keystrokes()`

Method Summary
`static KeyStroke[]` | `toKeys(int modificationKeys, char c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHIFT

    public static final KeyStroke SHIFT

  The SHIFT keystroke.

### CTRL

    public static final KeyStroke CTRL

  The CTRL keystroke.

### ALT

    public static final KeyStroke ALT

  The ALT keystroke.

### COMMAND

    public static final KeyStroke COMMAND

  The COMMAND keystroke.

### MOD1

    public static final KeyStroke MOD1

  The MOD1 keystroke.

### MOD2

    public static final KeyStroke MOD2

  The MOD2 keystroke.

### MOD3

    public static final KeyStroke MOD3

  The MOD3 keystroke.

### MOD4

    public static final KeyStroke MOD4

  The MOD4 keystroke.

### ESC

    public static final KeyStroke ESC

  The ESC keystroke.

### BS

    public static final KeyStroke BS

  The backspace keystroke.

### DELETE

    public static final KeyStroke DELETE

  The delete keystroke.

### CR

    public static final KeyStroke CR

  The CR keystroke.

### LF

    public static final KeyStroke LF

  The LF keystroke.

### TAB

    public static final KeyStroke TAB

  The TAB keystroke.

### SPACE

    public static final KeyStroke SPACE

  The SPACE keystroke.

### F1

    public static final KeyStroke F1

  The F1 keystroke.

### F2

    public static final KeyStroke F2

  The F2 keystroke.

### F3

    public static final KeyStroke F3

  The F3 keystroke.

### F4

    public static final KeyStroke F4

  The F4 keystroke.

### F5

    public static final KeyStroke F5

  The F5 keystroke.

### F6

    public static final KeyStroke F6

  The F6 keystroke.

### F7

    public static final KeyStroke F7

  The F7 keystroke.

### F8

    public static final KeyStroke F8

  The F8 keystroke.

### F9

    public static final KeyStroke F9

  The F9 keystroke.

### F10

    public static final KeyStroke F10

  The F10 keystroke.

### F11

    public static final KeyStroke F11

  The F11 keystroke.

### F12

    public static final KeyStroke F12

  The F12 keystroke.

### UP

    public static final KeyStroke UP

  The up keystroke.

### DOWN

    public static final KeyStroke DOWN

  The down keystroke.

### LEFT

    public static final KeyStroke LEFT

  The left keystroke.

### RIGHT

    public static final KeyStroke RIGHT

  The right keystroke.

### END

    public static final KeyStroke END

  The END keystroke.

### HOME

    public static final KeyStroke HOME

  The HOME keystroke.

### PAGE_UP

    public static final KeyStroke PAGE_UP

  The PAGE_UP keystroke.

### PAGE_DOWN

    public static final KeyStroke PAGE_DOWN

  The PAGE_DOWN keystroke.

Constructor Detail

### Keystrokes

    public Keystrokes()

Method Detail

### toKeys

    public static KeyStroke[] toKeys(int modificationKeys,
                                     char c)

  Parameters:
    `modificationKeys` - a combination of.
    `c` - the character to type.
  Returns:
    the keystrokes corresponding to the modification keys and character.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD